taccuino.vo

## Class OsservazioniPersonaliRequestDTO

- java.lang.Object
- - taccuino.vo.OsservazioniPersonaliRequestDTO

-     public class OsservazioniPersonaliRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private List<EventoRequestDTO>` | `eventi`
    `private List<RilevazioneRequestDTO>` | `rilevazioni`
    `private SegniSintomiRequestDTO` | `segniSintomi`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OsservazioniPersonaliRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<EventoRequestDTO>` | `getEventi()`
    `List<RilevazioneRequestDTO>` | `getRilevazioni()`
    `SegniSintomiRequestDTO` | `getSegniSintomi()`
    `void` | `setEventi(List<EventoRequestDTO> eventi)`
    `void` | `setRilevazioni(List<RilevazioneRequestDTO> rilevazioni)`
    `void` | `setSegniSintomi(SegniSintomiRequestDTO segniSintomi)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### eventi

          private List<EventoRequestDTO> eventi

    - #### rilevazioni

          private List<RilevazioneRequestDTO> rilevazioni

    - #### segniSintomi

          private SegniSintomiRequestDTO segniSintomi

  - ### Constructor Detail

    - #### OsservazioniPersonaliRequestDTO

          public OsservazioniPersonaliRequestDTO()

  - ### Method Detail

    - #### getEventi

          public List<EventoRequestDTO> getEventi()

    - #### setEventi

          public void setEventi(List<EventoRequestDTO> eventi)

    - #### getRilevazioni

          public List<RilevazioneRequestDTO> getRilevazioni()

    - #### setRilevazioni

          public void setRilevazioni(List<RilevazioneRequestDTO> rilevazioni)

    - #### getSegniSintomi

          public SegniSintomiRequestDTO getSegniSintomi()

    - #### setSegniSintomi

          public void setSegniSintomi(SegniSintomiRequestDTO segniSintomi)